config/routes.rb
Rails.application.routes.draw do

namespace :admin do
  resources :participants do
    post 'reset', on: :member
  end
  resources :communities do
    resources :participants
  end
  resources :organizations
  resources :ressources
end

scope :path => '/sys', :as => 'sys' do
  resources :memberships, :only => [:index]
  resources :events, :only => [:index] do
    match :fifo, :via => [:get, :post], :on => :collection
  end
  resources :configs, :only => [:index, :create]
  resources :subparticipants, :only => [:index, :show, :create, :update, :destroy]
end

begin
  Ressource.all.each do |r|
    scope :path => "/#{r.namespace}", :as => r.namespace  do
      resources r.ressource.to_sym, :controller => :messages, :only => [:index, :show, :create, :update, :destroy] do
        match :fifo, :via => [:get, :post], :on => :collection
        match :lifo, :via => [:get, :post], :on => :collection
        match :details, :via => [:get], :on => :collection
        match :details, :via => [:get], :on => :member
      end
    end
  end
rescue ActiveRecord::StatementInvalid
  Rails.logger.info "DB error: #{$!}"
end

resources :memberships, :only => [:index]
resources :events, :only => [:index] do
  match :fifo, :via => [:get, :post], :on => :collection
end

get '/admin' => 'admin/participants#index'
root 'admin/participants#default'

end

app/views/shared/admin/_communities.html.erb
<!--
Copyright (C) 2007, 2008, 2009, 2010 Heiko Bernloehr (FreeIT.de).

This file is part of ECS.

ECS is free software: you can redistribute it and/or modify it
under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of
the License, or (at your option) any later version.

ECS is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public
License along with ECS. If not, see <http://www.gnu.org/licenses/>.
-->


<table>

<% for community in @communities %>
	<tr valign="top" class="<%= cycle('list-line-odd', 'list-line-even') %>">

		<TD>
			<SPAN class="list-title"><%= h community.id %></SPAN><BR/>
		</TD>

		<TD>
			<SPAN class="list-title"><%= h community.name %></SPAN><BR/>
			<%= h truncate(community.description,:length => 80) %>
		</TD>


		<TD>
			<%= link_to 'Show', show_admin_community_path(:id => community) %>
			<%= link_to 'Edit', edit_admin_community_path(:id => community) %>
			<%= link_to 'Destroy', destroy_admin_community_path(:id => community), :confirm => 'Are you sure?', :method => :delete %><BR>
      <% if defined? links then -%>
      <% links.each do |link| %>
        <%= eval "link_to \"#{link[:text]}\", #{link[:map_name_function]}" %>
      <% end -%>
      <% end -%>
		</TD>
  </tr>
<% end %>
</table>

app/views/shared/admin/_participants.html.erb
<!--
Copyright (C) 2007, 2008, 2009, 2010 Heiko Bernloehr (FreeIT.de).

This file is part of ECS.

ECS is free software: you can redistribute it and/or modify it
under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of
the License, or (at your option) any later version.

ECS is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public
License along with ECS. If not, see <http://www.gnu.org/licenses/>.
-->



<table>

<% for participant in participants %>
	<tr valign="top" class="<%= cycle('list-line-odd', 'list-line-even') %>">

		<TD>
			<SPAN class="list-title"><%= h participant.id %></SPAN><BR/>
		</TD>

		<TD>
			<SPAN class="list-title"><%= h participant.name %></SPAN><BR/>
			<%= h truncate(participant.description,:length => 80) %>
		</TD>


		<TD>
			<%= link_to 'Show', show_admin_participant_path(:id => participant) %>
			<%= link_to 'Edit', edit_admin_participant_path(:id => participant) %>
			<%= link_to 'Destroy', destroy_admin_participant_path(:id => participant), :confirm => 'Are you sure?', :method => :post %><BR>
      <% if defined? links then -%>
      <% links.each do |link| %>
        <%= eval "link_to \"#{link[:text]}\", #{link[:map_name_function]}" %>
      <% end -%>
      <% end -%>
		</TD>
  </tr>
<% end %>
</table>

<!-- 
<#%= link_to 'Previous page', { :page => @community_pages.current.previous } if @community_pages.current.previous %>
<#%= link_to 'Next page', { :page => @community_pages.current.next } if @community_pages.current.next %> 

<br />

<#%= link_to 'New community', :action => 'new' %>
 -->